#include <QApplication>
#include <QGraphicsScene>
#include <QGraphicsView>
#include <QGraphicsWebView>
#include <QGLWidget>
#include <QMainWindow>
#include <QFileInfo>
#include <QDir>
#include <QStyleFactory>
#include<qdebug>

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    QMainWindow *mMainWindow = new QMainWindow();
    mMainWindow->setWindowTitle("TestAPP");
    mMainWindow->setGeometry(100, 100, 800, 600);
	
	QApplication::setStyle(QStyleFactory::create("windows"));

    QGraphicsScene* mGraphicsScene = new QGraphicsScene(mMainWindow);

    QGraphicsView* mGraphicsView = new QGraphicsView(mGraphicsScene);

    mGraphicsView->setHorizontalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
    mGraphicsView->setVerticalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
    mGraphicsView->setViewportUpdateMode(QGraphicsView::BoundingRectViewportUpdate);
  
    qDebug()<<"TEST:"<<QGLFormat::openGLVersionFlags();
    
    mGraphicsView->setViewport(new QGLWidget(mMainWindow));
 
    QGraphicsWebView* mGraphicsWebView = new QGraphicsWebView();
	

	QFileInfo fileInfo = QFileInfo(QDir(QCoreApplication::applicationDirPath()), QString("html/index.html"));
    QUrl url = QUrl(QUrl::fromLocalFile(fileInfo.absoluteFilePath()));

    mGraphicsWebView->setUrl(url);
    

    mGraphicsScene->addItem(mGraphicsWebView);

    mMainWindow->setCentralWidget(mGraphicsView);
	
    mMainWindow->show();

    return app.exec();
}
